> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.goanagram.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Eligibility Result

> Provides status and results of an eligibility check

The Eligibility request result will be sent to all active webhooks once available. As a fallback, you may call this endpoint to check result status and obtain the result.

### Status

The `status` field in the response can have one of the following values:

| Status Code  | Details                                                                                                     |
| ------------ | ----------------------------------------------------------------------------------------------------------- |
| `complete`   | Indicates that the search has been completed.                                                               |
| `processing` | Signifies that the search is currently in progress, and it is recommended to retry the request later.       |
| `error`      | Suggests that the search dit not finished successfully, and you can find descriptions of error codes below. |

### Error codes

| Error code         | Details                                |
| ------------------ | -------------------------------------- |
| `insurer_problem`  | Insurer not available, try again later |
| `unexpected_error` | Unknown error                          |

### Webhooks

Add webhooks in the [provider app](https://provider.anagram.care/webhooks) to receive results into your endpoint. Webhook payload will be identical to the response of this endpoint.

When configuring a webhook you can provide a secret to sign the webhook payload and check the signature on the server side.

Signature will be sent in `X-Signature` header in request to webhook endpoint.

Signature is a request raw data signed with secret by HMAC SHA256 algorithm. Python example:

```python theme={null}
import hashlib
import hmac

def get_signature(secret_key: str, payload: str) -> str:
    return hmac.new(secret_key.encode(), payload.encode(), hashlib.sha256).hexdigest()
```


## OpenAPI

````yaml GET /api/auth/v1/eligibility/{request_uid}/
openapi: 3.0.2
info:
  title: Anagram backend
  version: 1.0.0
servers:
  - url: https://api.anagram.care
    description: Authenticated API
security:
  - ApiToken: []
tags:
  - name: public-auth_Eligibility Request
    x-displayName: Eligibility Request
    description: >-
      Requesting patient's eligibility uses the following parameters:


      - First name (required)

      - Last name (required)

      - Date of birth (required)

      - Last four digits from SSN (optional)

      - Zip code (required)

      - Insurer Member ID (optional)

      - Request UID (optional)


      This call is asynchronous, it initiates an eligibility search and returns
      a UID assigned to this request.

      The result will be returned in two ways:

      - Via active [webhooks](https://provider.anagram.care/webhooks) once
      available - preferred.

      Request UID will be included in payload.

      - By calling the "Eligibility Result" endpoint - only to be used as
      fallback. Request UID is required.


      If specifying a UID, ensure it is unique. If omitted one will be generated
      automatically

      and included in the response for this API call.


      Authentication is required for this endpoint. Access token can be obtained

      in [provider app](https://provider.anagram.care/). Access token must be
      sent in `Authorization` header,

      prefaced with `API `:


      `Authorization: Api <key generated in provider app>`


      The response will contain the request UID or a validation error.


      Error examples:

      ```

      {
          "errors": {"$": ["Wrong insurer code"]}
      }

      ```

      ```

      {
          "errors": {
              "patient": {
                  "first_name": {"$": ["This field cannot be blank."]}
              }
          }
      }

      ```


      For testing purposes, you can include cheat codes in the request. Cheat
      codes can be provided in the fields

      `first_name`, `last_name`, and `member_id`. Here are some examples of
      cheat codes:


      - `mark_used`: This cheat code marks all benefits as used.


      - `dt_exam_used`: This cheat code marks exam benefit as used.


      - `no_oon`: Removes all out-of-network benefits from the plan.


      - `no_inn`: Removes all in-network benefits from the plan. You can use
      both `no_oon` and `no_inn` codes together to

      generate a plan without any benefits.


      - `delay_10`, `delay_30`: These codes introduce a delay in the response,
      causing it to wait for either 10 or 30

      seconds before providing an answer.


      - `big_family`: This cheat code adds multiple persons to the result.


      - `not_found`: Using this cheat code will delete all results.


      - `in_err_int`: This cheat code simulates a problem and triggers the
      `unexpected_error`.
  - name: public-auth_Eligibility Result
    x-displayName: Eligibility Result
    description: >-
      Eligibility search result will be sent to all active webhooks once
      available.

      As a fallback, you may call this endpoint to check result status and
      obtain the result.


      ### Status


      The `status` field in the response can have one of the following values:


      `complete` - Indicates that the search has been completed.


      `processing` - Signifies that the search is currently in progress, and it
      is recommended to retry the request later.


      `error` - Suggests that the search dit not finished successfully, and you
      can find descriptions of error codes

      below.


      ### Error codes


      `insurer_problem` – Insurer not available, please try again later


      `unexpected_error` – Unknown error


      ### Webhooks


      Add webhooks to receive results in the [provider
      app](https://provider.anagram.care/webhooks).

      Webhook payload will be identical to the response of this endpoint.


      When configuring a webhook you can provide a secret to sign the webhook
      payload

      and check the signature on the server side.


      Signature will be sent in `X-Signature` header in request to webhook
      endpoint.


      Signature is a request raw data signed with secret by HMAC SHA256
      algorithm. Python example:


      ```

      import hashlib

      import hmac


      def get_signature(secret_key: str, payload: str) -> str:
          return hmac.new(secret_key.encode(), payload.encode(), hashlib.sha256).hexdigest()
      ```
  - name: public-auth_Eligibility Details Request
    x-displayName: Eligibility Details Request
    description: |-
      Requesting plan for patient's eligibility uses the following parameters:

      - Initial request uid (required)
      - Result id from initial request (required)
      - Person id from initial request (required)
      - Details request UID (optional)
  - name: public-auth_Patient
    x-displayName: Patient
  - name: public-auth_Patient eligibility link
    x-displayName: Patient eligibility link
paths:
  /api/auth/v1/eligibility/{request_uid}/:
    parameters:
      - name: request_uid
        in: path
        required: true
        allowEmptyValue: false
        schema:
          type: string
    get:
      tags:
        - public-auth_Eligibility Result
      summary: Get Eligibility Check
      description: Provides status and results of an eligibility check
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                required:
                  - request_uid
                  - status
                properties:
                  request_uid:
                    type: string
                    description: UID provided on request creation or auto generated
                  status:
                    type: string
                    enum:
                      - processing
                      - complete
                      - error
                    description: ''
                  error_code:
                    type: string
                    nullable: true
                  results:
                    type: array
                    nullable: true
                    items:
                      type: object
                      required:
                        - persons
                        - insurer_code
                        - id
                      properties:
                        insurer_code:
                          type: string
                          description: 'Example: insurer:vision:vsp'
                        id:
                          type: integer
                        plan_is_active:
                          type: boolean
                          description: Is insurer plan active at the moment
                        status:
                          type: string
                        plan_name:
                          type: string
                        plan_group:
                          type: string
                        plan_group_id:
                          type: string
                          nullable: true
                        plan_begin_date:
                          type: string
                          format: date
                        plan_end_date:
                          type: string
                          format: date
                          nullable: true
                        plan_refresh_date:
                          type: string
                          format: date
                          nullable: true
                        persons:
                          type: array
                          items:
                            type: object
                            required:
                              - id
                            properties:
                              first_name:
                                type: string
                              last_name:
                                type: string
                              dob:
                                type: string
                                format: date
                              sex:
                                type: string
                              member_id:
                                type: string
                                nullable: true
                              ssn_last_four:
                                type: string
                                nullable: true
                              type:
                                type: string
                              address:
                                type: object
                                properties:
                                  line1:
                                    type: string
                                  line2:
                                    type: string
                                    nullable: true
                                  city:
                                    type: string
                                  zipcode:
                                    type: string
                                  state:
                                    type: string
                              email:
                                type: string
                                nullable: true
                              phone:
                                type: string
                              id:
                                type: integer
                              full_name:
                                type: string
                                description: Can be used instead of first and last names
                              is_active:
                                type: boolean
                                nullable: true
                                description: >-
                                  False is person is inactive, True or None (for
                                  compatibility) if person has active plan
                              plan:
                                type: object
                                required:
                                  - insurer_state
                                  - items
                                properties:
                                  refresh_date:
                                    type: string
                                    format: date
                                    nullable: true
                                  insurer_state:
                                    type: string
                                    description: >-
                                      Plan includes only in-network (inn)
                                      benefits or also out-of-network (oon) ones
                                  begin_date:
                                    type: string
                                    format: date
                                    nullable: true
                                  end_date:
                                    type: string
                                    format: date
                                    nullable: true
                                  items:
                                    type: array
                                    items:
                                      type: object
                                      required:
                                        - network_type
                                        - is_authorization_required
                                        - limits
                                        - subitem_limits
                                        - code
                                      properties:
                                        code:
                                          type: string
                                          description: Unique benefit code
                                        copay:
                                          type: string
                                          format: double
                                          nullable: true
                                          description: Example "25.000" means 25 USD
                                        network_type:
                                          type: string
                                          enum:
                                            - inn
                                            - oon
                                        is_authorization_required:
                                          type: boolean
                                        refresh_date:
                                          type: string
                                          format: date
                                          nullable: true
                                          description: >-
                                            Refresh date of benefit if it's
                                            different from plan refresh date
                                        limits:
                                          type: object
                                          properties:
                                            quantity:
                                              type: integer
                                            total_coverage:
                                              type: string
                                              format: double
                                              nullable: true
                                              description: Total coverage of benefit for period
                                            quantity_remain:
                                              type: integer
                                            quantity_reserved:
                                              type: integer
                                            total_coverage_remain:
                                              type: string
                                              format: double
                                              nullable: true
                                        subitem_limits:
                                          type: array
                                          items:
                                            type: object
                                            required:
                                              - code
                                            properties:
                                              code:
                                                type: string
                                                description: code of sub benefit inside benefit
                                              quantity:
                                                type: integer
                                                description: Maximum amount of services
                                              total_coverage:
                                                type: string
                                                format: double
                                                description: Total coverage of benefit for period
              examples:
                Initial search result:
                  value:
                    request_uid: f2edce8e783e4a42a50029a5ea0b0fe4
                    status: complete
                    error_code: null
                    results:
                      - insurer_code: insurer:vision:vsp
                        id: 0
                        plan_is_active: true
                        status: active
                        plan_name: VSP Choice Plan
                        plan_group: MAN GOFORG / WYMAN GORDON COMPANY
                        plan_group_id: 30057697-0001
                        plan_begin_date: '2023-02-01'
                        plan_end_date: null
                        plan_refresh_date: null
                        persons:
                          - first_name: DAN L
                            last_name: CAMPUS
                            dob: '1963-07-11'
                            sex: male
                            member_id: null
                            ssn_last_four: '1234'
                            type: self
                            address:
                              line1: 39 CAN ROAD
                              line2: null
                              city: WALLER
                              zipcode: 77484-3862
                              state: TX
                            email: null
                            phone: '8324579375'
                            id: 0
                            full_name: DAN L CAMPUS
                            is_active: null
                  summary: Result with primary member only
                Details request result:
                  value:
                    request_uid: f2edce8e783e4a42a50029a5ea0b0fe4
                    status: complete
                    error_code: null
                    results:
                      - insurer_code: insurer:vision:vsp
                        id: 0
                        plan_is_active: true
                        status: active
                        plan_name: VSP Choice Plan
                        plan_group: MAN GOFORG / WYMAN GORDON COMPANY
                        plan_group_id: 30057697-0001
                        plan_begin_date: '2023-02-01'
                        plan_end_date: null
                        plan_refresh_date: null
                        persons:
                          - first_name: DAN L
                            last_name: CAMPUS
                            dob: '1963-07-11'
                            sex: male
                            member_id: null
                            ssn_last_four: '1234'
                            type: self
                            address:
                              line1: 39 CAN ROAD
                              line2: null
                              city: WALLER
                              zipcode: 77484-3862
                              state: TX
                            email: null
                            phone: '8324579375'
                            id: 0
                            full_name: DAN L CAMPUS
                            is_active: null
                            plan:
                              refresh_date: null
                              insurer_state: oon
                              begin_date: null
                              end_date: null
                              items:
                                - code: EXAM
                                  copay: null
                                  network_type: inn
                                  is_authorization_required: false
                                  refresh_date: null
                                  limits:
                                    quantity: 1
                                    total_coverage: null
                                    quantity_remain: 0
                                    quantity_reserved: 0
                                    total_coverage_remain: null
                                  subitem_limits: []
                                - code: FRAME
                                  copay: null
                                  network_type: inn
                                  is_authorization_required: false
                                  refresh_date: null
                                  limits:
                                    quantity: 1
                                    total_coverage: null
                                    quantity_remain: 1
                                    quantity_reserved: 0
                                    total_coverage_remain: null
                                  subitem_limits: []
                                - code: LENS
                                  copay: null
                                  network_type: inn
                                  is_authorization_required: false
                                  refresh_date: null
                                  limits:
                                    quantity: 2
                                    total_coverage: null
                                    quantity_remain: 2
                                    quantity_reserved: 0
                                    total_coverage_remain: null
                                  subitem_limits: []
                                - code: LENS_CONTACT
                                  copay: null
                                  network_type: inn
                                  is_authorization_required: false
                                  refresh_date: null
                                  limits:
                                    quantity: 999
                                    total_coverage: null
                                    quantity_remain: 999
                                    quantity_reserved: 0
                                    total_coverage_remain: null
                                  subitem_limits: []
                                - code: EXAM
                                  copay: '10.0000'
                                  network_type: oon
                                  is_authorization_required: false
                                  refresh_date: null
                                  limits:
                                    quantity: 1
                                    total_coverage: '45.0000'
                                    quantity_remain: 0
                                    quantity_reserved: 0
                                    total_coverage_remain: '0'
                                  subitem_limits: []
                                - code: FRAME
                                  copay: '25.0000'
                                  network_type: oon
                                  is_authorization_required: false
                                  refresh_date: null
                                  limits:
                                    quantity: 1
                                    total_coverage: '70.0000'
                                    quantity_remain: 1
                                    quantity_reserved: 0
                                    total_coverage_remain: '70.0000'
                                  subitem_limits: []
                                - code: LENS_1F
                                  copay: '25.0000'
                                  network_type: oon
                                  is_authorization_required: false
                                  refresh_date: null
                                  limits:
                                    quantity: 2
                                    total_coverage: '30.0000'
                                    quantity_remain: 2
                                    quantity_reserved: 0
                                    total_coverage_remain: '30.0000'
                                  subitem_limits: []
                                - code: LENS_2F
                                  copay: '25.0000'
                                  network_type: oon
                                  is_authorization_required: false
                                  refresh_date: null
                                  limits:
                                    quantity: 2
                                    total_coverage: '50.0000'
                                    quantity_remain: 2
                                    quantity_reserved: 0
                                    total_coverage_remain: '50.0000'
                                  subitem_limits: []
                                - code: LENS_3F
                                  copay: '25.0000'
                                  network_type: oon
                                  is_authorization_required: false
                                  refresh_date: null
                                  limits:
                                    quantity: 2
                                    total_coverage: '65.0000'
                                    quantity_remain: 2
                                    quantity_reserved: 0
                                    total_coverage_remain: '65.0000'
                                  subitem_limits: []
                                - code: LENS_PROG
                                  copay: '25.0000'
                                  network_type: oon
                                  is_authorization_required: false
                                  refresh_date: null
                                  limits:
                                    quantity: 2
                                    total_coverage: '50.0000'
                                    quantity_remain: 2
                                    quantity_reserved: 0
                                    total_coverage_remain: '50.0000'
                                  subitem_limits: []
                                - code: LENS_CONTACT
                                  copay: '0.0000'
                                  network_type: oon
                                  is_authorization_required: false
                                  refresh_date: null
                                  limits:
                                    quantity: 999
                                    total_coverage: '105.0000'
                                    quantity_remain: 999
                                    quantity_reserved: 0
                                    total_coverage_remain: '105.0000'
                                  subitem_limits: []
                                - code: FRAME_LENS_1F_PKG
                                  copay: '25.0000'
                                  network_type: oon
                                  is_authorization_required: false
                                  refresh_date: null
                                  limits:
                                    quantity: 1
                                    total_coverage: null
                                    quantity_remain: 1
                                    quantity_reserved: 0
                                    total_coverage_remain: null
                                  subitem_limits:
                                    - code: FRAME
                                      quantity: 1
                                      total_coverage: '70.0000'
                                    - code: LENS_1F
                                      quantity: 2
                                      total_coverage: '30.0000'
                                - code: FRAME_LENS_2F_PKG
                                  copay: '25.0000'
                                  network_type: oon
                                  is_authorization_required: false
                                  refresh_date: null
                                  limits:
                                    quantity: 1
                                    total_coverage: null
                                    quantity_remain: 1
                                    quantity_reserved: 0
                                    total_coverage_remain: null
                                  subitem_limits:
                                    - code: FRAME
                                      quantity: 1
                                      total_coverage: '70.0000'
                                    - code: LENS_2F
                                      quantity: 2
                                      total_coverage: '50.0000'
                                - code: FRAME_LENS_3F_PKG
                                  copay: '25.0000'
                                  network_type: oon
                                  is_authorization_required: false
                                  refresh_date: null
                                  limits:
                                    quantity: 1
                                    total_coverage: null
                                    quantity_remain: 1
                                    quantity_reserved: 0
                                    total_coverage_remain: null
                                  subitem_limits:
                                    - code: FRAME
                                      quantity: 1
                                      total_coverage: '70.0000'
                                    - code: LENS_3F
                                      quantity: 2
                                      total_coverage: '65.0000'
                                - code: FRAME_LENS_PROG_PKG
                                  copay: '25.0000'
                                  network_type: oon
                                  is_authorization_required: false
                                  refresh_date: null
                                  limits:
                                    quantity: 1
                                    total_coverage: null
                                    quantity_remain: 1
                                    quantity_reserved: 0
                                    total_coverage_remain: null
                                  subitem_limits:
                                    - code: FRAME
                                      quantity: 1
                                      total_coverage: '70.0000'
                                    - code: LENS_PROG
                                      quantity: 2
                                      total_coverage: '50.0000'
                  summary: Details request outcome with primary member only
                Plan with two members:
                  value:
                    request_uid: f2edce8e783e4a42a50029a5ea0b0fe4
                    status: complete
                    error_code: null
                    results:
                      - insurer_code: insurer:vision:vsp
                        id: 0
                        plan_is_active: true
                        status: active
                        plan_name: VSP Choice Plan
                        plan_group: MAN GOFORG / WYMAN GORDON COMPANY
                        plan_group_id: 30057697-0001
                        plan_begin_date: '2023-02-01'
                        plan_end_date: null
                        plan_refresh_date: null
                        persons:
                          - first_name: SAMUEL R
                            last_name: CAMPUS
                            dob: '1995-12-06'
                            sex: male
                            member_id: null
                            ssn_last_four: null
                            type: child
                            address:
                              line1: 39 CAN ROAD
                              line2: null
                              city: WALLER
                              zipcode: 77484-3862
                              state: TX
                            email: null
                            phone: '8324579375'
                            id: 0
                            full_name: SAMUEL R CAMPUS
                            is_active: null
                          - first_name: DAN L
                            last_name: CAMPUS
                            dob: '1963-07-11'
                            sex: male
                            member_id: null
                            ssn_last_four: '1234'
                            type: self
                            address:
                              line1: 39 CAN ROAD
                              line2: null
                              city: WALLER
                              zipcode: 77484-3862
                              state: TX
                            email: null
                            phone: '8324579375'
                            id: 1
                            full_name: DAN L CAMPUS
                            is_active: null
                  summary: Result with dependent and primary member
                Missing primary member:
                  value:
                    request_uid: f2edce8e783e4a42a50029a5ea0b0fe4
                    status: complete
                    error_code: null
                    results:
                      - insurer_code: insurer:vision:vsp
                        id: 0
                        plan_is_active: true
                        status: active
                        plan_name: VSP Choice Plan
                        plan_group: MAN GOFORG / WYMAN GORDON COMPANY
                        plan_group_id: 30057697-0001
                        plan_begin_date: '2023-02-01'
                        plan_end_date: null
                        plan_refresh_date: null
                        persons:
                          - first_name: SAMUEL R
                            last_name: CAMPUS
                            dob: '1995-12-06'
                            sex: male
                            member_id: null
                            ssn_last_four: null
                            type: child
                            address:
                              line1: 39 CAN ROAD
                              line2: null
                              city: WALLER
                              zipcode: 77484-3862
                              state: TX
                            email: null
                            phone: '8324579375'
                            id: 0
                            full_name: SAMUEL R CAMPUS
                            is_active: null
                  summary: Result with dependent but without primary member
                Reserved benefits:
                  value:
                    request_uid: f2edce8e783e4a42a50029a5ea0b0fe4
                    status: complete
                    error_code: null
                    results:
                      - insurer_code: insurer:vision:vsp
                        id: 0
                        plan_is_active: true
                        status: active
                        plan_name: VSP Choice Plan
                        plan_group: MAN GOFORG / WYMAN GORDON COMPANY
                        plan_group_id: 30057697-0001
                        plan_begin_date: '2023-02-01'
                        plan_end_date: null
                        plan_refresh_date: null
                        persons:
                          - first_name: DAN L
                            last_name: CAMPUS
                            dob: '1963-07-11'
                            sex: male
                            member_id: null
                            ssn_last_four: '1234'
                            type: self
                            address:
                              line1: 39 CAN ROAD
                              line2: null
                              city: WALLER
                              zipcode: 77484-3862
                              state: TX
                            email: null
                            phone: '8324579375'
                            id: 0
                            full_name: DAN L CAMPUS
                            is_active: null
                            plan:
                              refresh_date: null
                              insurer_state: oon
                              begin_date: null
                              end_date: null
                              items:
                                - code: EXAM
                                  copay: null
                                  network_type: inn
                                  is_authorization_required: false
                                  refresh_date: null
                                  limits:
                                    quantity: 1
                                    total_coverage: null
                                    quantity_remain: 0
                                    quantity_reserved: 0
                                    total_coverage_remain: null
                                  subitem_limits: []
                                - code: FRAME
                                  copay: null
                                  network_type: inn
                                  is_authorization_required: false
                                  refresh_date: null
                                  limits:
                                    quantity: 1
                                    total_coverage: null
                                    quantity_remain: 1
                                    quantity_reserved: 1
                                    total_coverage_remain: null
                                  subitem_limits: []
                                - code: LENS
                                  copay: null
                                  network_type: inn
                                  is_authorization_required: false
                                  refresh_date: null
                                  limits:
                                    quantity: 2
                                    total_coverage: null
                                    quantity_remain: 2
                                    quantity_reserved: 0
                                    total_coverage_remain: null
                                  subitem_limits: []
                                - code: LENS_CONTACT
                                  copay: null
                                  network_type: inn
                                  is_authorization_required: false
                                  refresh_date: null
                                  limits:
                                    quantity: 999
                                    total_coverage: null
                                    quantity_remain: 999
                                    quantity_reserved: 0
                                    total_coverage_remain: null
                                  subitem_limits: []
                                - code: EXAM
                                  copay: '10.0000'
                                  network_type: oon
                                  is_authorization_required: false
                                  refresh_date: null
                                  limits:
                                    quantity: 1
                                    total_coverage: '45.0000'
                                    quantity_remain: 0
                                    quantity_reserved: 0
                                    total_coverage_remain: '45.0000'
                                  subitem_limits: []
                                - code: FRAME
                                  copay: '25.0000'
                                  network_type: oon
                                  is_authorization_required: false
                                  refresh_date: null
                                  limits:
                                    quantity: 1
                                    total_coverage: '70.0000'
                                    quantity_remain: 1
                                    quantity_reserved: 1
                                    total_coverage_remain: '70.0000'
                                  subitem_limits: []
                                - code: LENS_1F
                                  copay: '25.0000'
                                  network_type: oon
                                  is_authorization_required: false
                                  refresh_date: null
                                  limits:
                                    quantity: 2
                                    total_coverage: '30.0000'
                                    quantity_remain: 2
                                    quantity_reserved: 0
                                    total_coverage_remain: '30.0000'
                                  subitem_limits: []
                                - code: LENS_2F
                                  copay: '25.0000'
                                  network_type: oon
                                  is_authorization_required: false
                                  refresh_date: null
                                  limits:
                                    quantity: 2
                                    total_coverage: '50.0000'
                                    quantity_remain: 2
                                    quantity_reserved: 0
                                    total_coverage_remain: '50.0000'
                                  subitem_limits: []
                                - code: LENS_3F
                                  copay: '25.0000'
                                  network_type: oon
                                  is_authorization_required: false
                                  refresh_date: null
                                  limits:
                                    quantity: 2
                                    total_coverage: '65.0000'
                                    quantity_remain: 2
                                    quantity_reserved: 0
                                    total_coverage_remain: '65.0000'
                                  subitem_limits: []
                                - code: LENS_PROG
                                  copay: '25.0000'
                                  network_type: oon
                                  is_authorization_required: false
                                  refresh_date: null
                                  limits:
                                    quantity: 2
                                    total_coverage: '50.0000'
                                    quantity_remain: 2
                                    quantity_reserved: 0
                                    total_coverage_remain: '50.0000'
                                  subitem_limits: []
                                - code: LENS_CONTACT
                                  copay: '0.0000'
                                  network_type: oon
                                  is_authorization_required: false
                                  refresh_date: null
                                  limits:
                                    quantity: 999
                                    total_coverage: '105.0000'
                                    quantity_remain: 999
                                    quantity_reserved: 0
                                    total_coverage_remain: '105.0000'
                                  subitem_limits: []
                                - code: FRAME_LENS_1F_PKG
                                  copay: '25.0000'
                                  network_type: oon
                                  is_authorization_required: false
                                  refresh_date: null
                                  limits:
                                    quantity: 1
                                    total_coverage: null
                                    quantity_remain: 1
                                    quantity_reserved: 1
                                    total_coverage_remain: null
                                  subitem_limits:
                                    - code: FRAME
                                      quantity: 1
                                      total_coverage: '70.0000'
                                    - code: LENS_1F
                                      quantity: 2
                                      total_coverage: '30.0000'
                                - code: FRAME_LENS_2F_PKG
                                  copay: '25.0000'
                                  network_type: oon
                                  is_authorization_required: false
                                  refresh_date: null
                                  limits:
                                    quantity: 1
                                    total_coverage: null
                                    quantity_remain: 1
                                    quantity_reserved: 1
                                    total_coverage_remain: null
                                  subitem_limits:
                                    - code: FRAME
                                      quantity: 1
                                      total_coverage: '70.0000'
                                    - code: LENS_2F
                                      quantity: 2
                                      total_coverage: '50.0000'
                                - code: FRAME_LENS_3F_PKG
                                  copay: '25.0000'
                                  network_type: oon
                                  is_authorization_required: false
                                  refresh_date: null
                                  limits:
                                    quantity: 1
                                    total_coverage: null
                                    quantity_remain: 1
                                    quantity_reserved: 1
                                    total_coverage_remain: null
                                  subitem_limits:
                                    - code: FRAME
                                      quantity: 1
                                      total_coverage: '70.0000'
                                    - code: LENS_3F
                                      quantity: 2
                                      total_coverage: '65.0000'
                                - code: FRAME_LENS_PROG_PKG
                                  copay: '25.0000'
                                  network_type: oon
                                  is_authorization_required: false
                                  refresh_date: null
                                  limits:
                                    quantity: 1
                                    total_coverage: null
                                    quantity_remain: 1
                                    quantity_reserved: 1
                                    total_coverage_remain: null
                                  subitem_limits:
                                    - code: FRAME
                                      quantity: 1
                                      total_coverage: '70.0000'
                                    - code: LENS_PROG
                                      quantity: 2
                                      total_coverage: '50.0000'
                  summary: Result there EXAM was used and FRAME was reserved
                Search is in progress:
                  value:
                    request_uid: f2edce8e783e4a42a50029a5ea0b0fe4
                    status: processing
                    error_code: null
                    results: null
                  summary: Request still in progress
                Insurer error:
                  value:
                    request_uid: f2edce8e783e4a42a50029a5ea0b0fe4
                    status: error
                    error_code: insurer_problem
                    results: null
                  summary: Insurer could not process request
                Unexpected search error:
                  value:
                    request_uid: f2edce8e783e4a42a50029a5ea0b0fe4
                    status: error
                    error_code: unexpected_error
                    results: null
                  summary: Unexpected error, request could not be processed
        '404':
          description: JSON object response
          content:
            application/json:
              schema:
                type: object
                required:
                  - detail
                properties:
                  detail:
                    type: string
              examples:
                Example:
                  value:
                    detail: Eligibility not found (unknown-id)
                  summary: Unknown request ID
components:
  securitySchemes:
    ApiToken:
      type: apiKey
      in: header
      name: Authorization
      description: >
        Your API token prefaced with an "Api" prefix. Example value: "Api
        B3F4242424E3FDB4242424242A9C7642"

````